# RPM specfile for gnome-user-docs module
# Generated Wed Apr 24 14:42:39 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: ximian-build.conf,v 1.11 2002/03/27 15:54:30 dobey Exp $

%define nam	gnome-user-docs
%define ver	1.4.1.1
%define ximrev	3

Name:     	gnome-doc
Version: 	1.4.1.1
Release:	1.ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GDL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
BuildArch:      noarch
URL:		http://www.gnome.org/
Source0:	gnome-user-docs-1.4.1.1.tar.gz
Summary:	 GNOME user-level documentation
Group:		Documentation
Provides:	gnusrdoc = %{PACKAGE_VERSION}
Provides:	gnome-user-docs = %{PACKAGE_VERSION}
Provides:	ximian-gnome-doc = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnusrdoc
Obsoletes:	gnome-user-docs
Prereq:	scrollkeeper

%description
GNOME user-level documentation of "general" nature, i.e. covering
GNOME as a whole rather than specific applications. Examples of such
documentation include users guide, introduction to GNOME, glossary,
etc. 

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL NEWS README
/opt/gnome/share/gnome/help/*
/opt/gnome/share/omf/gnome-user-docs


%post
/opt/gnome/bin/scrollkeeper-update

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-user-docs-1.4.1.1
    ;;
all)
%setup  -q -n gnome-user-docs-1.4.1.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; automake; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 24 2002 Ximian, Inc.

- Version: 1.4.1.1-1.ximian.3
- Summary: New build.
- New automated build.

